"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
var _revokeOnSchemas = require('./revokeOnSchemas');
var _shared = require('./shared');
function grantOnSchemas(mOptions) {
  const _grantOnSchemas = (options) => {
    const { privileges, schemas, roles, withGrantOption = false } = options;
    const rolesStr = _shared.asRolesStr.call(void 0, roles, mOptions);
    const schemasStr = _utils.toArray.call(void 0, schemas).map(mOptions.literal).join(", ");
    const privilegesStr = _utils.toArray.call(void 0, privileges).map(String).join(", ");
    const withGrantOptionStr = withGrantOption ? " WITH GRANT OPTION" : "";
    return `GRANT ${privilegesStr} ON SCHEMA ${schemasStr} TO ${rolesStr}${withGrantOptionStr};`;
  };
  _grantOnSchemas.reverse = _revokeOnSchemas.revokeOnSchemas.call(void 0, mOptions);
  return _grantOnSchemas;
}


exports.grantOnSchemas = grantOnSchemas;
