"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
var _revokeOnTables = require('./revokeOnTables');
var _shared = require('./shared');
function grantOnTables(mOptions) {
  const _grantOnTables = (options) => {
    const { privileges, roles, withGrantOption = false } = options;
    const rolesStr = _shared.asRolesStr.call(void 0, roles, mOptions);
    const privilegesStr = _utils.toArray.call(void 0, privileges).map(String).join(", ");
    const tablesStr = _shared.asTablesStr.call(void 0, options, mOptions);
    const withGrantOptionStr = withGrantOption ? " WITH GRANT OPTION" : "";
    return `GRANT ${privilegesStr} ON ${tablesStr} TO ${rolesStr}${withGrantOptionStr};`;
  };
  _grantOnTables.reverse = _revokeOnTables.revokeOnTables.call(void 0, mOptions);
  return _grantOnTables;
}


exports.grantOnTables = grantOnTables;
