"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
var _shared = require('./shared');
function revokeOnSchemas(mOptions) {
  const _revokeOnSchemas = (options) => {
    const {
      privileges,
      schemas,
      roles,
      onlyGrantOption = false,
      cascade = false
    } = options;
    const rolesStr = _shared.asRolesStr.call(void 0, roles, mOptions);
    const schemasStr = _utils.toArray.call(void 0, schemas).map(mOptions.literal).join(", ");
    const privilegesStr = _utils.toArray.call(void 0, privileges).map(String).join(", ");
    const onlyGrantOptionStr = onlyGrantOption ? " GRANT OPTION FOR" : "";
    const cascadeStr = cascade ? " CASCADE" : "";
    return `REVOKE${onlyGrantOptionStr} ${privilegesStr} ON SCHEMA ${schemasStr} FROM ${rolesStr}${cascadeStr};`;
  };
  return _revokeOnSchemas;
}


exports.revokeOnSchemas = revokeOnSchemas;
