"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
var _shared = require('./shared');
function revokeOnTables(mOptions) {
  const _revokeOnTables = (options) => {
    const {
      privileges,
      roles,
      onlyGrantOption = false,
      cascade = false
    } = options;
    const rolesStr = _shared.asRolesStr.call(void 0, roles, mOptions);
    const privilegesStr = _utils.toArray.call(void 0, privileges).map(String).join(", ");
    const tablesStr = _shared.asTablesStr.call(void 0, options, mOptions);
    const onlyGrantOptionStr = onlyGrantOption ? " GRANT OPTION FOR" : "";
    const cascadeStr = cascade ? " CASCADE" : "";
    return `REVOKE${onlyGrantOptionStr} ${privilegesStr} ON ${tablesStr} FROM ${rolesStr}${cascadeStr};`;
  };
  return _revokeOnTables;
}


exports.revokeOnTables = revokeOnTables;
