"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
var _dropMaterializedView = require('./dropMaterializedView');
var _shared = require('./shared');
function createMaterializedView(mOptions) {
  const _create = (viewName, options, definition) => {
    const {
      ifNotExists = false,
      columns = [],
      tablespace,
      storageParameters = {},
      data
    } = options;
    const columnNames = _utils.toArray.call(void 0, columns).map(mOptions.literal).join(", ");
    const withOptions = Object.keys(storageParameters).map(_shared.storageParameterStr.call(void 0, storageParameters)).join(", ");
    const ifNotExistsStr = ifNotExists ? " IF NOT EXISTS" : "";
    const columnsStr = columnNames ? `(${columnNames})` : "";
    const withOptionsStr = withOptions ? ` WITH (${withOptions})` : "";
    const tablespaceStr = tablespace ? ` TABLESPACE ${mOptions.literal(tablespace)}` : "";
    const dataStr = _shared.dataClause.call(void 0, data);
    const viewNameStr = mOptions.literal(viewName);
    return `CREATE MATERIALIZED VIEW${ifNotExistsStr} ${viewNameStr}${columnsStr}${withOptionsStr}${tablespaceStr} AS ${definition}${dataStr};`;
  };
  _create.reverse = _dropMaterializedView.dropMaterializedView.call(void 0, mOptions);
  return _create;
}


exports.createMaterializedView = createMaterializedView;
