"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _dropPolicy = require('./dropPolicy');
var _shared = require('./shared');
function createPolicy(mOptions) {
  const _create = (tableName, policyName, options = {}) => {
    const { role = "PUBLIC", command = "ALL" } = options;
    const createOptions = {
      ...options,
      role
    };
    const clauses = [`FOR ${command}`, ..._shared.makeClauses.call(void 0, createOptions)];
    const clausesStr = clauses.join(" ");
    const policyNameStr = mOptions.literal(policyName);
    const tableNameStr = mOptions.literal(tableName);
    return `CREATE POLICY ${policyNameStr} ON ${tableNameStr} ${clausesStr};`;
  };
  _create.reverse = _dropPolicy.dropPolicy.call(void 0, mOptions);
  return _create;
}


exports.createPolicy = createPolicy;
