"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _dropSequence = require('./dropSequence');
var _shared = require('./shared');
function createSequence(mOptions) {
  const _create = (sequenceName, options = {}) => {
    const { temporary = false, ifNotExists = false } = options;
    const temporaryStr = temporary ? " TEMPORARY" : "";
    const ifNotExistsStr = ifNotExists ? " IF NOT EXISTS" : "";
    const sequenceNameStr = mOptions.literal(sequenceName);
    const clausesStr = _shared.parseSequenceOptions.call(void 0, 
      mOptions.typeShorthands,
      options
    ).join("\n  ");
    return `CREATE${temporaryStr} SEQUENCE${ifNotExistsStr} ${sequenceNameStr}
  ${clausesStr};`;
  };
  _create.reverse = _dropSequence.dropSequence.call(void 0, mOptions);
  return _create;
}


exports.createSequence = createSequence;
