"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
function dropColumns(mOptions) {
  const _drop = (tableName, columns, options = {}) => {
    const { ifExists = false, cascade = false } = options;
    if (typeof columns === "string") {
      columns = [columns];
    } else if (!Array.isArray(columns) && typeof columns === "object") {
      columns = Object.keys(columns);
    }
    const ifExistsStr = ifExists ? "IF EXISTS " : "";
    const cascadeStr = cascade ? " CASCADE" : "";
    const columnsStr = _utils.formatLines.call(void 0, 
      columns.map(mOptions.literal),
      `  DROP ${ifExistsStr}`,
      `${cascadeStr},`
    );
    return `ALTER TABLE ${mOptions.literal(tableName)}
${columnsStr};`;
  };
  return _drop;
}


exports.dropColumns = dropColumns;
