import { formatLines } from "../../utils";
function dropColumns(mOptions) {
  const _drop = (tableName, columns, options = {}) => {
    const { ifExists = false, cascade = false } = options;
    if (typeof columns === "string") {
      columns = [columns];
    } else if (!Array.isArray(columns) && typeof columns === "object") {
      columns = Object.keys(columns);
    }
    const ifExistsStr = ifExists ? "IF EXISTS " : "";
    const cascadeStr = cascade ? " CASCADE" : "";
    const columnsStr = formatLines(
      columns.map(mOptions.literal),
      `  DROP ${ifExistsStr}`,
      `${cascadeStr},`
    );
    return `ALTER TABLE ${mOptions.literal(tableName)}
${columnsStr};`;
  };
  return _drop;
}
export {
  dropColumns
};
