"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _utils = require('../../utils');
function addTypeValue(mOptions) {
  const _add = (typeName, value, options = {}) => {
    const { before, after, ifNotExists = false } = options;
    if (before && after) {
      throw new Error(`"before" and "after" can't be specified together`);
    }
    const beforeStr = before ? ` BEFORE ${_utils.escapeValue.call(void 0, before)}` : "";
    const afterStr = after ? ` AFTER ${_utils.escapeValue.call(void 0, after)}` : "";
    const ifNotExistsStr = ifNotExists ? " IF NOT EXISTS" : "";
    const valueStr = _utils.escapeValue.call(void 0, value);
    const typeNameStr = mOptions.literal(typeName);
    return `ALTER TYPE ${typeNameStr} ADD VALUE${ifNotExistsStr} ${valueStr}${beforeStr}${afterStr};`;
  };
  return _add;
}


exports.addTypeValue = addTypeValue;
