"use strict";Object.defineProperty(exports, "__esModule", {value: true});class StringIdGenerator {
  constructor(chars = "abcdefghijklmnopqrstuvwxyz") {
    this.chars = chars;
    this.ids = [0];
  }
  next() {
    const idsChars = this.ids.map((id) => this.chars[id]);
    this.increment();
    return idsChars.join("");
  }
  increment() {
    for (let i = this.ids.length - 1; i >= 0; i -= 1) {
      this.ids[i] += 1;
      if (this.ids[i] < this.chars.length) {
        return;
      }
      this.ids[i] = 0;
    }
    this.ids.unshift(0);
  }
}


exports.StringIdGenerator = StringIdGenerator;
