"use strict";Object.defineProperty(exports, "__esModule", {value: true});var _decamelize = require('./decamelize');
var _identity = require('./identity');
var _quote = require('./quote');
function createSchemalize(options, _legacyShouldQuote) {
  const { shouldDecamelize, shouldQuote } = typeof options === "boolean" ? {
    shouldDecamelize: options,
    shouldQuote: _legacyShouldQuote
  } : options;
  if (typeof options === "boolean") {
    console.warn(
      "createSchemalize(shouldDecamelize, shouldQuote) is deprecated. Use createSchemalize({ shouldDecamelize, shouldQuote }) instead."
    );
  }
  const transform = [
    shouldDecamelize ? _decamelize.decamelize : _identity.identity,
    shouldQuote ? _quote.quote : _identity.identity
  ].reduce((acc, fn) => fn === _identity.identity ? acc : (str) => acc(fn(str)));
  return (value) => {
    if (typeof value === "object") {
      const { schema, name } = value;
      return (schema ? `${transform(schema)}.` : "") + transform(name);
    }
    return transform(value);
  };
}


exports.createSchemalize = createSchemalize;
