import { decamelize } from "./decamelize";
import { identity } from "./identity";
import { quote } from "./quote";
function createSchemalize(options, _legacyShouldQuote) {
  const { shouldDecamelize, shouldQuote } = typeof options === "boolean" ? {
    shouldDecamelize: options,
    shouldQuote: _legacyShouldQuote
  } : options;
  if (typeof options === "boolean") {
    console.warn(
      "createSchemalize(shouldDecamelize, shouldQuote) is deprecated. Use createSchemalize({ shouldDecamelize, shouldQuote }) instead."
    );
  }
  const transform = [
    shouldDecamelize ? decamelize : identity,
    shouldQuote ? quote : identity
  ].reduce((acc, fn) => fn === identity ? acc : (str) => acc(fn(str)));
  return (value) => {
    if (typeof value === "object") {
      const { schema, name } = value;
      return (schema ? `${transform(schema)}.` : "") + transform(name);
    }
    return transform(value);
  };
}
export {
  createSchemalize
};
