/**
 * Make a comment on a database object.
 *
 * @param object The object type.
 * @param name The object name.
 * @param text The comment text. This will be escaped. Default is `null`.
 *
 * @returns The comment SQL.
 *
 * @see https://www.postgresql.org/docs/current/sql-comment.html
 */
export declare function makeComment(object: string, name: string, text?: string | null): string;
